#include "Vehicle.h"

Vehicle::Vehicle(void)
{
  nr_wheels = -1;
  this->colour = new std::string("Not Painted");
}

Vehicle::Vehicle(const std::string &colour)
{
  nr_wheels = -1;
  this->colour = new std::string(colour);
}
Vehicle::~Vehicle(void)
{
  delete colour;
}
void Vehicle::display_colour(void)
{
  std::cout << *colour << std::endl;
}
void Vehicle::display_nr_wheels(void)
{
  if(nr_wheels<0)
    {
      std::cout << "This Vehicle has not been initialised" << std::endl; 
    }
  else
    {
      std::cout << nr_wheels << std::endl; 
    }
}
void Vehicle::set_colour(const std::string &colour)
{
  delete this->colour;
  this->colour = new std::string(colour);
}
